# SoapUI Open Source 5.10.0

#### Released on 2026-06-02 ####

* Updated MacOS installers for x64 and ARM64 to a single bundle archive with drag-and-drop installation.

* Updated Swagger Inflector and Apache Commons FileUpload to address reported security vulnerabilities.

* Updated slf4j, log4j, htmlunit, dom4j, and xstream to newer versions to resolve multiple CVEs.

* Disabled Mixpanel usage analytics and cleaned up related code.

* Fixed and refreshed links in the SoapUI Help menu, and removed outdated entries.

* Updated links in the Help menu and removed outdated entries.

* Updated the landing page message to celebrate 20 years of SoapUI and invite users to join the community thread

-------------------------------------------------------------------------------

# SoapUI Open Source 5.9.1

#### Released on 2025-09-10 ####

Proper browser opening for MAC.
Fix help links.

-------------------------------------------------------------------------------

# SoapUI Open Source 5.9.0

#### Released on 2025-07-16 ####

Fix content-type check for XML.

-------------------------------------------------------------------------------

# SoapUI Open Source 5.8.0

#### Released on 2024-12-20 ####

Upgrade to Java 17.0.12
Updated libraries: GraphQL -> 22.3
MacOS ARM native installer
AES256 project encryption support
-------------------------------------------------------------------------------

# SoapUI Open Source 5.7.2

#### Released on 2023-11-07 ####

Fixed Zip-Slip Vulnerability.

-------------------------------------------------------------------------------

# SoapUI Open Source 5.7.1

#### Released on 2023-08-01 ####

Fixed an issue where SoapUI version 5.6.0 and 5.7.0 would not install or open on certain machines including Mac OS Ventura. There were issues with an expired Apple Certificate and previous bundled JRE environment.  We have signed the new version with updated Apple Certificate and also updated the bundled JRE environment to Liberica version 16.0.2+7. These updates which resolves this issue for Mac users and the application now installs properly. Windows and Linux versions also received updates to the bundled JRE environment.

-------------------------------------------------------------------------------

# SoapUI Open Source 5.7.0

#### Released on Released on 01-12-2022 ####

The new release includes support for GraphQL APIs and offers other improvements that make API testing more convenient and powerful.

### GraphQL Support ###

Now you can test GraphQL services. To do this, use the new GraphQL Request test step.

### Docker support ###

SmartBear introduces a pre-configured Docker image, so now you can run SoapUI functional tests in isolated Docker containers.

### Built-in OpenAPI (Swagger) support ###

Now, to work with OpenAPI/Swagger definitions, you do not need to use plugins. SoapUI supports it out-of-the-box. Additionally, we've improved integrations with SwaggerHub to make it even more convenient.

### Overall improvements ###

* Support for OpenJDK 16.
* Now, SoapUI opens a response editor that matches the response content type. For example, it opens the JSON editor if a response has JSON content.
* We've updated a number of third-party libraries, including the following:
  * Apache Log4j library to 2.17.1.
  * Jayway jsonpath to 2.4.0.
* Now, SoapUI stores log files in the <User Directory>/.soapuios/logs directory. Previously, they were stored in the SoapUI installation directory, which could cause issues on Windows computers.
* A new feature by modax: Now, you can run the SoapUI build from the Travis-CI.

### Overall improvements ###

* When a proxy is set to None, usage of the ProxySelector class leads to the NullPointerException.
* The value of the Start Step property of the SOAP Mock Response could be reset to the default value in some cases.
* A bug fix by stevendjames: When you used the Query/Match filter in the SOAP Mock Response test step, the ClassCastException could occur.
* A bug fix by MagnoCorrea: Names of the exported WSDL definitions with schema references could be too long. Now, such names are shorter and easier to work with.
* A bug fix by stevann7: REST mock services did not show details of the message when you double-clicked it in the Message Log panel.
* A bug fix by modax: In some cases, when you assigned a new endpoint to requests with the specific endpoint in the Service Endpoints panel, SoapUI did not apply it.
* A bug fix by clynton: The NullPointerException could occur if you did not add the runBeforeSteps event listener to the project.

-------------------------------------------------------------------------------

# SoapUI Open Source 5.6.1

#### Released on 2021-12-20 ####

This release updates the Apache Log4j library to v. 2.16 that mitigates CVE-2021-44228 (Log4Shell) and CVE-2021-45046.

-------------------------------------------------------------------------------

# SoapUI Open Source 5.6.0

#### Released on 2020-09-07 ####

### Overall improvements ###

* remove useless jars. Jackson, KeenIO.

* update org.apache.httpcomponents jar versions. httpclient:4.5.5, httpmime:4.5.5, httpclient-cache:4.5.5, httpcore:4.4.9, httpcore-nio:4.4.9

* update commons-logging jar versions. commons-logging:1.2

* update commons-codec jar versions. commons-codec:1.10

* update junit jar versions. junit:4.12

* move to openjdk 12

### Bug Fixes ###

* SoapUI 5.5.0 will not run project or suites - Toolkit not initialized error

* Add setting to enable/disable load script/save script execution.

* Plugins don't need to be signed by Smartbear. Any plugin will be loaded.

* Plugins loaded once during launch process.

-------------------------------------------------------------------------------

# SoapUI Open Source 5.5.0

#### Released 2019-02-06 ####

### Overall improvements ###

* SoapUI 5.5 introduces the Endpoint Explorer dialog. Use it to send exploratory requests and analyze responses without creating a project.

* SoapUI now supports extended HTTP methods: PROPFIND, LOCK, UNLOCK, COPY, PURGE.

* Now, if you try to open a project created in a later SoapUI version or in ReadyAPI, SoapUI will notify you about this.

* SoapUI now requires Java 8 update 112 or higher.

### Bug Fixes ###

* An invalid name was set for a custom test step.

* A bug fix by modax: WS-Security did not support Strict Layout Rules.

* A bug fix by xgcssch: When a refresh token was used to update an OAuth 2.0 access token, the refresh token was not updated.

* A bug fix by arykov: Symlinks to soapui.sh did not work.

-------------------------------------------------------------------------------

# SoapUI Open Source 5.4.0

#### Released 2017-11-29 ####

### Overall Improvements ###

* SoapUI 5.4 uses Apache Commons Collections library version 3.2.2 that fixes a security vulnerability.

* SoapUI now supports Java 1.8.

* An improvement by DonnyDepp: The window borders are now thicker, so it is easier to resize windows by dragging their borders.

### Bug Fixes ###

* A bug fix by vimil: When a response returned redirect status codes, SoapUI always simulated a GET request to the new address. Now, if the initial request uses the POST method, SoapUI simulates a POST request.

### Discontinued Support ###

* LoadUI integration has been removed from SoapUI. To integrate your functional tests with LoadUI, use ReadyAPI. Learn more about LoadUI in ReadyAPI at https://smartbear.com/product/ready-api/loadui/overview/.

-------------------------------------------------------------------------------

# SoapUI Open Source 5.3.0

#### Released 2016-11-30 ####

### Improvements ###

* Support for OAuth 1 authentication.   (SOAPUIOS-194)

* Improved support for OAuth 2. SoapUI now supports two additional grant types: Resource Owner Password Credentials and Client Credentials. (SOAPUIOS-60)

* A new feature by Krzysztof Baranski (krzysbaranski in GitHub): Support for Server Name Indication (SNI) in TLS/SSL requests. (SOAPUIOS-218)

* A new feature by Bouke Nijhuis (BoukeNijhuis in GitHub): The XQuery Match assertion now supports the "Ignore namespace prefix" and "Ignore XML Comments" options. (SOAPUIOS-210)

* A new feature by Kyle Smith (smithk86 in GitHub): The Set Endpoint dialog now displays endpoints in alphabetical order. (SOAPUIOS-212)

Many thanks to Krzysztof, Bouke and Kyle for their efforts!

* The design of some buttons has been updated. (SOAPUIOS-209)

* The SoapUI icon on Mac OS X has been updated. (SOAPUIOS-90)

### Bundled Plugin ###

* The Postman plugin is now included in the SoapUI installation package. You use this plugin to import Postman collections and tests to SoapUI.  (SOAPUIOS-208)

### Bug Fixes ###

* TestRunner displayed the "Usage statistics" dialog upon starting. To close this dialog, you had to click any button in it, which was inconvenient for automated test runs. (SOAPUIOS-188)

* The JDBC Request test step converted all SQL column names in responses to upper case.  This could cause issues when comparing the response contents with baseline data. (SOAPUIOS-190)

* The SLA assertion did not support property expansions. (SOAPUIOS-195)

* It was impossible to send requests to a secured web service through a proxy server. The simulated requests did not contain the proxy user credentials. (SOAPUIOS-196, SOAPUIOS-199)

* The Groovy Script assertion called by the JDBC Request test step always returned an error "null". (SOAPUIOS-200)

* The context menu of the XML editor had duplicated "Select All" items. (SOAPUIOS-201)

* The Properties test step failed to load the properties, whose names ended with a backslash (\), from a file. (SOAPUIOS-202)

* A NoSuchMethodException exception could occur when creating a project from WSDL. (SOAPUIOS-204)

* A bug fix by Bouke Nijhuis (BoukeNijhuis in GitHub): In certain cases, the Recently Used tab could disappear from the Assertions dialog. (SOAPUIOS-211). 

* A bug fix by bearsoftware (GitHub nickname): The Request  URL property of the HTTP Request test step did not allow capital letters. (SOAPUIOS-213)

* A bug fix by kekemonster (GitHub nickname): Multiple concurrent requests to a mock service could cause the HTTP 500 error. (SOAPUIOS-215)

Many thanks to Bouke Nijhuis, bearsoftware and kekemonster for contribution!

-------------------------------------------------------------------------------

# SoapUI Open Source 5.2.1

#### Released 2015-10-02 ####

* A new bundled SwaggerHub plugin that helps you easily import Swagger API definitions from SwaggerHub to your project and to export your APIs to SwaggerHub. (SOAPUIOS-152)
  For information on SwaggerHub, see http://smartbear.com/product/swaggerhub/overview/.
  More information on the plugin is available at https://github.com/SmartBear/readyapi-swaggerhub-plugin.

* More efficient memory usage. (SOAPUIOS-154)

* A new feature by Stanislaw Wozniak (a GitHub user with the nickname sponte): The test runner has a new setting that commands SoapUI to export test case properties to JUnit-style reports. You can find the new “Export JUnit Results with test properties” check box on the Reports tab of the dialog, in which you specify the test runner's properties before the run. To enable this functionality from the command line, use the new -J command-line argument. (SOAPUIOS-156)

* A bug fix by Marc Paquette (marcpa00 in GitHub): Earlier versions of SoapUI doubled messages sent to the console log from Groovy code. Marc has fixed this. (SOAPUIOS-157)

Many thanks to Stanislaw and Marc for their efforts!

*  More bug fixes:
    - The UXM AlertSite plugin did not add the "Monitor APIs" item to the product’s menu. (SOAPUIOS-166)
    - An error ("Access mode for wsi-test-tools scripts couldn't be set") could occur when installing the product on Linux. (SOAPUIOS-161)
    - Running WS-I Compliance for a SOAP service could cause an exception. (SOAPUIOS-158)

-------------------------------------------------------------------------------

# SoapUI Open Source 5.2

#### Released 2015-07-02 ####

### Major New Features ###

* You can use 4 new JSONPath-based assertions:
   - JsonPath Count           - Calculates the number of element occurrences in a JSON response.
   - JsonPath Existence Match - Extracts data from a JSON response and compares it with an expected value.
   - JsonPath Match           - Checks if a JSON response contains specific node.
   - JsonPath RegEx Match     - Extracts data from a JSON response and verifies it with a regular expression.
  You can find the new assertions in the Add Assertions dialog, in the Property Content assertion group.
* You can create new empty projects (in earlier versions, projects had to be based on WSDL or WADL, or URI).

### Improvements ###

* New look inspired by ReadyAPI.
* Support for Java 6 has been dropped. 
  To run SoapUI, now you need to have Java 7 on your computer.
  The SoapUI installation package includes Java 7 modules, 
  so if you use the installer, you do not have to download and install additional files.
* Old-style icons have been replaced with newer icons.

### Bundled Plugins ###

The SoapUI installation package includes the following plugins:
* MQTT plugin - Enables IOT testing of MQTT services.
* Swagger plugin - Enables loading and saving of Swagger interface descriptions.
* AlertSite UXM plugin - Enables distributed monitoring of APIs.

### Bugs Fixed ###

* The JMS Timeout assertion did not work.
* SoapUI failed to find attachments specified by 'xop:Include href'.
* SoapUI failed to load plugins when you run tests with testrunner.bat and the current directory differed from <SoapUI>\bin.
* The "Help > Privacy Policy" menu item did not open any web page. Now it opens http://www.soapui.org/Store-Info/privacy-policy.html.
* In the Property Transfer test step editor, it was possible to add two items with the same name to the Transfers list.
* When you resized the "Contain" assertion edit window, the text in that window did not resize appropriately.
* The Overview tab of the REST Interface editor displayed "WSDL Definition" instead of "WADL Definition".
* There was a misprint in the SoapUI Preferences > WSDL Settings screen.

-------------------------------------------------------------------------------

# SoapUI OS 5.2 - BETA

#### Released 2015-06-10 ####

### Major new features ###

* JSON Path based assertions
* Create empty project

### Improvements ###

* Old style icons replaced with new
* SoapUI OS GUI more similar to ReadyAPI

### Bugs fixed ###

* Contain assertion text window cannot resize
* JMS timeout assertion is broken
* REST Interface window reads "WSDL Definition" instead of "WADL Definition"
* SoapUI can't find the attachment using the `xop:Include href`
* SoapUI doesn't load plugins when running `testrunner.bat` from another directory
* Typo to on WSDL Settings screen


-------------------------------------------------------------------------------

# SoapUI OS 5.1.3
#### Released 2015-04-01 ####

### Bugs fixed ###
* Removed version conflict affecting Maven builds

-------------------------------------------------------------------------------

# SoapUI OS 5.1.2
#### Released 2015-03-11 ####

### Major new features ###
* In-app analytics as in SoapUI Pro
* Contact information for users
* JSON enhancements
* Auto update of SoapUI

### Improvements ###
* JSON Property Transfer (SOAP-2279)
* Get Data support in JSON tree (SOAP-2280)

### Bugs fixed ###
* Select directory window hangs on Preference->Tools page (SOAP-3318)
* Mock as war uses external library system property
* Loglist selection visibility on mac
* LogListModel cast exception on clear
* Mock as war doesn't create dir structure
* NPE when loading old style plugins
* Memory fix issues for requests returning large file content (SOAP-2130)
* Use bundled JRE when running .sh files from installed SoapUI on mac (SOAP-1951)
* Content of properties value are not update after load them (SOAP-3306)
* Incorrect or broken help links (SOAP-3381)
* "Play" button in "HTTP Request" editor window is not enabled (SOAP-3369)
* AMF Request allows you to run test without endpoint (SOAP-3368)
* Wrong help link in "AMF Request" test step window (SOAP-3367)
* NullPointerException when cancel import packed project (SOAP-3364)
* Wrong assertion content in sample project (SOAP-3312)
* The "NullPointerException" error occurs when running servlet "MockAsWarServlet" (SOAP-3315)
* Soap UI OS hangs when trying to deploy mock service as WAR (SOAP-3310)

### Updated libraries ###
* Introduced analytics-core-5.1.2-os
* Updated hamcrest-core-1.3
* Introduced i4jruntime-5.1.14
* Introduced json-smart-1.2
* Introduced out-app-analytics-provider-5.1.2-os
* Updated wss4j-1.6.16

-------------------------------------------------------------------------------

# SoapUI Pro 5.1.2
#### Released 2014-08-29 ####

### Bugs fixed ###
* (Pro only) SoapUI pro 5.1.1 excel files dates stamp cannot be read (SOAP-2754)
* (Pro only) SoapUI displays an error and closes on leaving SoapUI idle for sometime (SOAP-2759)
* (Pro only) empty rows in excel stop a data driven test (SOAP-2741)
* (Pro only) Cloned assertion test step breaks in testcase export/import (SOAP-2715)
* (Pro only) Composite projects containing multiple REST resources with the same name breaks when saving (SOAP-1874)
* (Pro only) Folder names get random characters (SOAP-2686)
* (Pro only) 5.1 regression: Excel spreadsheets that use forumulas fail in datasource test step (SOAP-2717)
* (Pro only) Trial license activated on 5.0.0 throws already activated message for 5.1.0 (SOAP-2700)
* (support case escalation) New composite project format - different hashtags generated for each person causes Source Control issues (SOAP-2703)
* REST Discovery of soapui.org hangs SoapUI (SOAP-2722)
* 'Apply For Trial' link is broken (SOAP-2762)
* Trial activation issues solved (SOAP-2784)

-------------------------------------------------------------------------------

# SoapUI Pro 5.1.1
#### Released 2014-07-30 ####
#### Please note that version 5.1.1 is a Pro only release. This means the features and improvements below are currently available only in SoapUI Pro. ####

### Bugs fixed ###
* Fixed not being able to reconfigure cloned Assertion TestSteps (SOAP-709)
* The RequestFilter.filterRequest event handler now works correctly again (SOAP-2708)
* Fixed an issue where JSON Payloud escaped input incorrectly (SOAP-2710)
* Fixed an issue with property transfer test steps created with older versions (SOAP-2713)
* Fixed an issue where the "Get Data..." menu option showed up incorrectly in some places (SOAP-2714)

### Improvements ###
* Trying to apply a renewal license to a fresh installation of SoapUI now results in an explanation dialog (SOAP-2704)

-------------------------------------------------------------------------------

# SoapUI Pro 5.1.0
#### Released 2014-07-15 ####
#### Please note that version 5.1.0 is a Pro only release. This means the features and improvements below are currently available only in SoapUI Pro.

### Major new features ###
* (Pro only) New plugin manager to easily find and install/update SoapUI Pro plugins from a central repository
* REST Mock as WAR - Easily deploy REST MockServices as WAR on any application container.
* Native support for JSON response
* JSONPath assertions when response is JSON
* Easy to find Pro features and sample projects through starter page
* Outline editor available on form view (when request has a payload)

### Bugs fixed ###
* Mock Response test step fails (SOAP-2207)
* (Pro only) REST discovery/ New REST mock service missing in composite project menu (SOAP-2266)
* Code Execution Vulnerability with Property Transfers (SOAP-2355)
* WS-security config ignores signature key identifier type "Issuer Name and Serial Number" (SOAP-2347)
* Mock response step fails in 5.0 (SOAP-2207)
* Mock response test step is not editable (SOAP-2202)
* No sub menus in REST Mock Response Get Data (SOAP-2186)
* The http status code in response doesn't work in REST mock service (SOAP-2356)
* (Pro only) SoapUI still ask for a license after you have successfully entered a license and restarted (SOAP-2185)
* (Pro only) Editor windows open in random places and random sizes when desktop type equals default (SOAP-2178)
* REST Mock does not read the payload (SOAP-2173)
* Script assertion play button does not work (SOAP-2161)
* Content-Length header is missing in response from REST mock service (SOAP-2015)
* log.info no longer go to the global-groovy.log (SOAP-1938)
* Drag and drop to a test case not working (SOAP-1936)
* OAuth 2 advance configurations dialog shows all options in CAPS (SOAP-1845)
* Wildcard in XPath match assertion only works with * and no additional characters. (SOAP-1299)
* JDBC configuration requires a DB password (SOAP-493)
* (Pro only) Changing environments does not change the associated JDBC connection string in various JDBC test steps (SOAP-268)
* (Pro only) Composite project duplicate test cases (SOAP-685)
* (Pro only) Project changes are not being saved, because of "Failed to delete temporary project file" in error log. (SOAP-995)
* (Pro only) Order of Test-Suites in element.order file is not followed when composite project is opened in SoapUI Pro (SOAP-1762)
* (Pro only) Composite projects containing multiple REST resources with the same name breaks when saving. (SOAP-1874)
* (Pro only) Item ID's in composite project files are being changed. (SOAP-1381)
* Stubbed dialogs show extended info (SOAP-2256)

### Updated libraries ###
* Updated to JRE 7u55
* Removed joda-time
* Updated junit to 4.11
* Introduced Jayway's json-path 0.9.1
* Introduced  jackson-databind, jackson-annotations and jackson-core  2.1.0
* Introduced  org.reflections:reflections 0.9.9-RC1
* Introduced gson 1.4
* Introduced commons-vfs2 2.0
* Introduced jsch 0.1.42
* Introduced jzlib 1.0.7
* Introduced commons-net 2.2
* Introduced jackrabbit-jcr-commons 1.5.2
* Introduced jcr 1.0
* (Pro only) Replaced jexcelapi with Apache POI

-------------------------------------------------------------------------------

# SoapUI 5.0.1
#### Released only JAR for LoadUI release, no installers: 2014-05-27 ####

### Bugs fixed ###
* Mock Response test step fails (SOAP-2207)
-------------------------------------------------------------------------------

# SoapUI 5.0.0
#### Released 2014-04-09 ####

### Major new features ###
*  REST Mocking - Easily create REST MockServices without scripting and test unavailable/prototype APIs.
* OAuth 2.0 support - Test APIs using OAuth 2.0, group different OAuth 2.0 credentials into profiles, and automate your OAuth 2.0 tests to integrate with other build tools.
* (Pro only) REST Discovery - Quickly get your undocumented API under test by recording your interactions with the API.
* (Pro only) REST Test Suite Builder - Automatically create test suites from your recorded interactions with the API, making sure you test the right requests.
* (Pro only) REST Discovery + REST Mocking - Seamlessly create REST Mocks using responses from REST Discovery recordings.

### Bugs fixed ###
* XSDs now exposed correctly for MockServices in subdirectories (SOAP-1313)
* Memory log panel now shows correct total memory for sizes above 2GB (SOAP-1574)
* It is now possible to sign the BinarySecurityToken when creating a WSS signature entry (SOAPUI-4586/SOAP-1097, contribution from Willem Salembier)
* The resource editor and request editor views are now better synced (SOAP-830)
* Improved the behavior of the request view's pop-up parameter table (SOAP-845)
* Added missing hint text from the "New REST Resource" dialog (SOAP-1102)
* Removed some duplicate library archives. (SOAP-1195)
* Importing WSDL protected by Basic HTTP Authentication is now possible again (SOAP-1331)
* XML conversion no longer fails for JSON value whose name starts with digit (SOAP-1405)
* Starter page now resizes correctly also on Mac OS X (SOAP-1212)
* Redirect requests no longer ignore manually configured proxy settings (SOAP-1208)
* Fixed several minor issues with JSON when using WADL files with a schema (SOAP-1219)
* Fixed NullPointerException when asserting schema compliance on XSDs (SOAP-1229)
* It is once again possible to create new REST test steps despite having REST services with duplicated names. (SOAP-1239)
* Fixed custom properties not working with REST test steps that were using a JMS endpoint (SOAP-1251)
* Fixed SecurityTestRunner not creating reports on Mac OS X (SOAP-1278)
* Improved compatibility with MTOM and WCF (SOAP-1316)
* Removed unnecessary "Failed to delete temporary project file" warnings. (SOAP-1338)
* Export project to zip file no longer shows error message (SOAP-1948)
* SSLContext is now configurable using the system property soapui.sslcontext.algorithm (SOAP-2013)
* Wide Unicode char no longer causes CharConversionException on import (SOAP-1752)
* (Pro only) Fixed the maven plugin crashing when executing a project containing a Message Content Assertion (SOAP-1348)
* (Pro only) Fixed unnecessary 500 ms delay in data-driven tests (SOAP-769)
* (Pro only) Fixed issue where data-driven REST tests sometimes picked up the wrong data (SOAP-722)
* (Pro only) JSON is no longer converted to XML in some cases (SOAP-1219)

### Improvements ###
* Introduced Script class for internal grouping of constants (Contribution from Marc Paquette)
* Added a (non-GUI) setting to control starting the Cajo server on startup (Contribution from Marc Paquette)
* Improved file chooser behavior in certain scenarios (Contribution from Marc Paquette)
* Added missing soapui.logroot configuration to the log4j definition of the GLOBAL_GROOVY_LOG (Contribution from Michael Ottati)
* IdleConnectionHandler is now correctly stopped (Contribution from Christoph Thelen)
* Normalize pathname for listeners, factories and root (SOAP-1424, Contribution from Marc Paquette)

### Updated libraries ###
* proxy-vole 20131209 (SOAP-1208)
* rsyntaxtextarea 2.5.0 (SOAP-1425)
* commons-io 2.4
* wss4j 1.6.14

-------------------------------------------------------------------------------

# SoapUI 4.6.4
#### Released 2014-01-14 ####

### Bugs fixed ###
* (Pro only) Problem with renaming services when using environments (SOAP-1245)
* (Pro only) Form view stops working when test step is moved (SOAP-722)
* Some HTTP requests slowed down by automatic proxy configuration (SOAP-1264)
* Security vulnerability on WSDL/WADL import (SOAP-1252) - see MITRE, CVE-2014-1202
* Problem adding REST test step when two services have the same name (SOAP-1239)

-------------------------------------------------------------------------------
# SoapUI 4.6.3
#### Released 2013-12-18 ####

### Bugs fixed ###
* Fixed NTLM authentication not working under certain conditions (SOAP-1021) (Note: If you are using Kerberos authentication, you will have to re-select authentication method in the "auth" tab)
* JDBC Request test step add\delete properties table is broken (SOAP-1144)
* AMF Request test step add\delete properties table is broken (SOAP-1060)
* Request body not copied to test step when creating from POST/PUT REST request (SOAP-1098)
* Security tests ignores endpoint, host and environment parameters in command line tool (SOAP-1190)
* XPATH assertion should show XPATH in error message (SOAP-1155)
* ⌘+Q on mac quits without saving (SOAP-1106)

-------------------------------------------------------------------------------

# SoapUI 4.6.2
#### Released 2013-12-02 ####

### Major New Feature ###
Proxy settings can now be auto-detected (SOAP-454)

### Bugs fixed ###
* Deleting a mid level resource while request editor of child resource is open freezes the GUI (SOAP-854)
* Can not deploy project as war (SOAP-906)
* REST resource base path is duplicated each time Request is opened (SOAP-941)
* Test Step editor parameter table value column heading is wrong (SOAP-856)
* Mock services packaged as WAR files don't work across different OSes. (SOAP-976)
* REST parameter order not saved in Request Editor (SOAP-594)
* Error while creating a Data Export report (SOAP-928)
* Endpoint not sent in WS-RM exchange (SOAP-816)
* Conditional property expansion not working (SOAP-677)
* Mock service returns incorrect content type for CSS files (SOAP-966)
* Incorrect logging from FileFormField (SOAP-909) ( Contribution from Marc Paquette)
* Break statement missing in case SEPARATOR (SOAP-910) ( Contribution from Marc Paquette)
* LoadUI and Hermes installers cannot be started from SoapUI installer (SOAP-1069)


### Improvements ###
* SoapUI now remembers window position and size after relaunch (SOAP-885)
* One-click dialogs to add REST resources (SOAP-344 and SOAP-398)
* Improved default window and Request Editor size (SOAP-679)
* Unnecessary elements removed from GUI
* Endpoints are now sorted alphanumerically (SOAP-983) ( Contribution from Vincent Frison)
* Look and feel improvements on Mac OS
* Less confusing GUI for REST template (path) parameters

### Updated libraries ###
* Groovy 2.1.7 (SOAP-630)
* proxy-vole 20121203 (SOAP-454)

-------------------------------------------------------------------------------

# SoapUI 4.6.1
#### Released 2013-10-24 ####

### Major New Feature ###
* All parameters editable on top URI bar (SOAP-671)
* Better control and feedback when editing parent resource from child
* Better synchronization of editors regarding parameters. Add new parameter simplified.
* Retina support for SoapUI on OS X (SOAP-655)

### Known Issue ###
* Template parameter not synched from method to top URI bar (SOAP-834)

### Bugs fixed ###
* Editing resource params from the properties tab doesn't set default value (SOAP-841)
* Should not be possible to change the method in REST test steps (SOAP-833)
* SoapUI didn’t support SPNEGO/Kerberos authentication in a good way (SOAP-445)
* Double Encoded URIs (SOAP-697)
* Child resources don't show complete path in Resource field (SOAP-622)
* Can't write to Excel DataSinks when using a template file (SOAP-680)
* Easy way to get binary content of response (SOAP-747)
* Change color of CDATA section in editor (SOAP-749)
* JVM crash on latest OS X when running test ( SOAP-459)
* Closes without saving if save folder selection cancelled (SOAP-653)
* Wrap search and Whole word options in find/replace dialog do nothing (SOAP-158)

### Minor improvements ###
* Add installer for 64 bit Linux (SOAP-670)
* New REST Project from a WADL dialog (SOAP-348)
* Solve the duplicate project name issue (SOAP-638)
* Automate maven plugin release process (SOAP-599)
* Should be able to use ws-s truststore without password (SOAP-751)

### Updated libraries ###
* Updated to JRE 7u40

-------------------------------------------------------------------------------

## version 4.6.0 - 2013-09-16

### Major New Feature ###
* Pragmatic REST (SOAP-342)
** Create a REST project with REST request easily using only a URI as input
** Automatic split of a REST URI into Endpoint, Resource and Query
** Automatic extraction of template parameters and query parameters
** Automatic level and style assignment of parameters
** Simplified editing of parameters
** Simplified selection of Method

### Known Issue ###
* Resource field parameter changes are not synched with the parameter table (SOAP-621 )

### Bugs fixed ###
* Exporting WADL doesn't export changes that were made (SOAPUI-4620)
* REST load tests taking too long to run if a small Test Delay is set (SOAPUI-4668)
* (Pro only) JDBC test step fails to reflect changes on environment (SOAP-431)
* HTTP Tunnel monitor drops the http protocol version (always uses HTTP/1.1) (SOAP-354)
* JDBC connection wizard for DB2 does not add semi colon at end of connection string (SOAP-472)
* Add -Dfile.encoding=UTF8 to start file jvm parameters (SOAP-461)
* Assertion TestStep editor cannot be reopened after entering invalid "assertion field" value (SOAP-331)
* Remove the word "TestCase" from tabs with names "TestCase Coverage", "TestCase Requirements", etc. (SOAP-460)
* Start page hides other desktop panels on Mac (SOAP-446)
* Cant run security tests on "HTTP Test Request" test step (SOAP-442)
* (Pro only) JDBC test step fails to reflect changes on environment (SOAP-431)
* Stabilize soapui maven plugin tester (SOAP-369)
* Xpath button more visible (SOAP-164)

### Minor improvements
* (Pro only) Improved error message when trying to load an XLSX DataSource (SOAP-330)
* (Pro only) List box rather than text field for selecting report type (SOAP-279)
* (Pro only) Improved GUI for Generating XPath in Property transfer panel (SOAP-311)
* Property expansion now works for HTTP header names (SOAP-450)
* Broken module link in documentation (SOAP-421 )
* Show License is now Show EULA (SOAP-109)
* SoapUI installer pointed to old version of LoadUI installer (SOAP-397)

-------------------------------------------------------------------------------

## version 4.5.2 - 2013-05-22

### Build improvements ###
* Build system upgraded from maven 1 to maven 3.
* All the distributions now come bundled with the same JRE version.

### Bugs fixed ###
* HTTP Session ID kept across test cases if "Maintain HTTP Session" is checked (SOAPUI-4425).
* Encoded REST URLs no longer get decoded unintentionally (SOAPUI-4594)
* HTTP headers are no longer copied back to the request until after redirection (SOAPUI-3607).
* Windows 32-bit users no longer receive an error message when doing web recording (SOAP-68).
* Fixed ClassCastException when using HTTPS with self-signed certificates (SOAPUI-3918).
* The command line TestRunner now correctly generates TXT reports (SOAPUI-4501).
* (Pro) Fixed NTLM authentication (SOAPUI-4273).
* Fixed loading of schemas to use array correctly (SOAPUI-4512).
* Added jar-file filtering of protection jars (SOAP-20)
* Fixed endless loop during schema loading when opening the add assertion panel (SOAPUI-4375).
* Fixed classloading issues (SOAP-24).
* SSL Info tab is no longer always inactive (SOAPUI-4395)
* Fixed minor spelling mistakes and propagation of HTTP Sessions in RunTestCase invocation (SOAP-26).
* Preferences are now automatically saved when clicking "OK" in the preferences dialog (SOAP-118).
* URL encoder no longer also encodes the path itself (SOAPUI-4601, SOAPUI-3032, SOAP-121).
* The "Case sensitive" option in the find/replace dialog now works correctly (SOAP-132).
* Native look & feel is now enabled by default on Mac OS X (SOAP-115).
    * If you're experiencing problems with not being able to close the starter page, change your screen resolution.


## version 4.5.1 - 2012-06-27

### Bugs fixed
- Added the GetData feature to the editable fields of the Message Content Assertion feature.
- Improved the new licensing model to improve user experience with activating and managing the SoapUI license including providing an excel license key registry file.
- Added the ability to search for data in the response editors.
- Enhanced the request’s authorization tab to guide the user when configuring for either pre-emptive or NTLM/Kerberos security
- Defined test environments can be renamed.
- Improved load testing when using jdbc datasource.
- Improved the Test On Demand feature to incorporate the use of the Assertion.
- Improved XQuery and XPath wildcard match handling to match whole or portions of values.
- Fixed the HTTP raw request view to include all headers as listed in the HTTP log.
- Corrected the response editor Right Click menu to include additional editor management options.
- Fixed SOAP Fault and Not SOAP Fault to evaluate correctly.
- Fixed the NPE error in the getPropertyValue in WsdlProjectPro of the SoapUI API.
- Fixed the cut and copy feature in the response editors.
- Fixed the SAML XML editor window in the WS-Security form so it is no longer read only.
- Fixed the ability to open a P12 keystore when using WS-Security.
- Fixed the Mock Service response editor so that it is editable.
- Fixed SoapUI so it can now use the correct number, as defined, of concurrent connections/sockets.
- Fixed the REST URL encoding for GET requests .
- Fixed the ClassCastException error when upgrading 4.0.1 projects to 4.5.0.

-------------------------------------------------------------------------------

## version 4.5- 2012-03-28: The Big Ears Release

Please see http://soapui.org/About-SoapUI/whats-new-in-soapui-45.html for an overview 
of all the new great features and more details on fixes in the final release!

Major New Features:
- Test Debugging (Pro)
- Assertion TestSteps (Pro)
- Message Content Assertion (Pro)
- TestOnDemand. Run your tests from the Cloud
- Multi Environment Support (Pro)
- Floating Licenses (Pro)

Minor Improvements
- HTTP Monitor now works for all HTTP Methods
- Improved the XPath Assertion to support wildcards within elements
- Improved the XQuery Assertion to support wildcards within elements
- Added possibility to override JUnitReportCollector for creating custom JUnit style reports
- Enlarged the controls in Security Test
- Added support for SAML 2
- Added support for NTLM 2 and Kerberos
- Added line numbers when having a Groovy Null Pointer

Bug Fixes
- Changed SOAP message to put elements in WSDL Defined proper sequence of when when elements were of complex type
- Updates to Schema Compliance
- Fixes to WSDL handling that was changed between 3.6.1 and 4.0.0
- Under some ciscumstances you could get NullPointerException when doing a Show Message - Exchange for XML Bomb security test
- Fixes to TestRunner for the HTTP test step when using 3.0.1 project files in 4.0.0
Fixed a SoapUI Pro Testrunner bug, When you overrode Global Properties you could get a ClassCastException
- Under some circumstance a HTTP Redirect with path as location was not followed correctly
- When trying to export Complex Project with many external dependencies you could get a Null pointer
- Fixed and error loading WSDLs containing UTF-8 Characters
- Corrected JDBC connections when the uses used regexp in configurations
- Fixed NPEs when the users tried to start JMS in the context menu of a project
- Fixed contains assertion to work with multi lines
- Fixed issues with the maven2 plugin dependencies
- The maven2 plugin would fail for composite projects if global properties were specified
- Fixed SoapUI problems on Java 7
- Made Datasource Row or Column windows to be resizable
- Optional recursive elements or types were not shown in form editor
- Under some conditions it was not possible to delete multiple assertions using the keyboard delete button
- REST TestSteps weren't saving their assigned REST Resource and Method in some cases
- Small Spelling and Language fixes...
- Under some conditions the password in service endpoints and environments could be visible to the end user
- Testcase that contains " (quotation mark) in its label weren't executed in composite projects
- Fixed a problem where a combination of SoapUI composite project and SVN when renaming test suites
- Custom Assertion weren't visible in the list of available assertions
- Corrected Mock War Packaging Issues
- Pre encoded endpoints setting wasn't working for REST or HTTP URLs
- REST URLs weren't calculated correctly when endPoints had context
- Importing WADL generated by SoapUI could break method names
- Fixed GUI glitches for Assertion Display and Highlighting of List Items
- Form view did not not create container elements for sequence of complex type containing only attributes
- You could get a stackoverflow when calling selectFromCurrent from script assertion
- The empty report template was missing language="groovy" attribute which gave the reporting engine issues
- The Execution of Parallel TestCases in the Command Line runner did not execute any of the tests
- If response message contains the text "\u0000" then the Outline view did not work anymore
- NPE when creating Command Line report for failed REST requests
- Corrected an inconsistent numbering of TestStep index

-------------------------------------------------------------------------------

## 4.0.1 Bugs Fixed - 2011-09-12

Please see http://soapui.org/About-SoapUI/soapui-40-bugs-fixed.html for an overview 
of the bugs fixed in this release.

-------------------------------------------------------------------------------

##4.0 The Security Release - 2011-06-14

Please see http://www.soapui.org/About-SoapUI/whats-new-in-soapui-40.html for an overview 
of all the new great features and more details on fixes in the final release!

-------------------------------------------------------------------------------

##4.0 beta 2 - 2011-05-31

###Major New Features:
- Added a "Fuzzing Scan" to the list of Security Scans 
- Improved Command-line Security-Test runner to support all TestCase Runner options and custom JUnit-Style report (Security, Automation)
- Added wargenerator command-line utility that creates war files from soapui projects

###Minor Improvements
- Added option to run Security Scans only once in TestCase with complex flow logic (Security)
- Fixed all password fields in SoapUI to use masked input (Functional Testing)
- Improved feedback in Security Test log (Security)
- Added new wargenerator command-line utility for generating war files for a Project  (Mocking, Automation)
- General UI Improvements

###Bug Fixes
- Generated WAR files now work on WebLogic
- Fixed syncing of file system with composite projects  and non-alphanumeric characters in TestCase names
- Fixed ignoring of DataSource StartRow with shared DataSources
- Fixed inserting of new TestSteps to be after selected TestStep
- Fixed correct generation of loadUI Tests from SoapUI Simple Strategy LoadTests
- Fixed saving of project file when syncing to loadUI
- REST Coverage was not being calculated correctly for child resources

###Library Updates
- Jasper Reports 4.0.2
- Jetty 6.1.26

-------------------------------------------------------------------------------

##4.0 beta1 - 2011-05-17

###Major New Feature:
- Security Testing for scanning your target services for common functional vulnerabilities:
  - SQL Injection
  - XPath Injection
  - Boundary Scan
  - Invalid Datatype
  - Cross Site Scripting
  - XML Bomb
  - Malicious Attachment
  - Malformed XML
  - Custom Scan

###Minor New Features:
- Introduced factory extension mechanism for easily adding your own TestSteps, Assertions, etc.  (Ecosystem)
- Added possibility to override JUnitReportCollector for creating custom JUnit style reports (Analytics)
- Added possibility to ignore XML comments in XPath assertions (Functional Testing)
- Improved error messages when WSDL loading fails (Technology Support)
- Added custom multi-value delimiter for REST parameter values (Functional Testing)
- Added global setting for normalizing forward slashes (which was always performed previously) (Functional Testing)
- Added support for property expansions in output folder for command-line runners (Automation)
- Improved WADL importer support for referenced representations and parameters (Technology Support)
- Added adding of Quotes to File DataSink (Functional Testing)
- Added Digest Algorithm setting to WS-Security Signature entry (Technology Support)
- Improved handling of internal errors in Schema Validation (Functional Testing)
- Added encoding property to File DataSink (if you need to write files with some other charset than the system one) (Functional Testing)
- Improved creation of CSV Files in File DataSink (Functional Testing)
- Improved installer to install the tutorials in custom location (Ecosystem)
- Improved installer to install the Browser Component in SoapUI directory instead of local profile (Ecosystem)
- Improved error messages when trying to install a Renewal license over a Trial (Ecosystem)
- Improved REST Resource resolution for REST TestRequests when there are multiple resources  with the same path (Functional Testing)
- Improved Redirect handling to always use GET (Functional Testing)
- General Stability and Performance improvements

###Bugs Fixed:
- Fixed duplicate retrieval of web pages when BrowserComponent was enabled
- Fixed support for Composite projects in MockAsWar functionality
- Fixed Composite Projects with regard to renaming of REST Resources and Services
- Fixed double encoding of Template URL parameters
- Fixed forward-slashes in WAR file create by DeployAsWar and removed unnecessary jars
- Fixed support for composite projects in DeployAsWar packaging
- Fixed Reliable Messaging sequence identifier
- Fixed loading of XSDs and WSDLs with leading or trailing whitespace
- Fixed loading of projects with filenames containing non-URL characters
- Fixed incorrect replacing of SOAP Header content when updating a WSDL with Header definitions
- Fixed normalization of filenames when exporting TestCases or TestSuites
- Fixed synchronization of shared File DataSinks
- Fixed combo-box editor in Mode column for Service Endpoints for REST services
- Fixed automatic setting of WS-A version when WS-RM version 1.0 is selected
- Fixed normalization of column names to XML names when generating XML from a JDBC ResultSet
- Fixed wildcards for CDATA sections in the XPath Contains assertion
- Fixed error when running MockServices containing definition parts with unexpected content types
- Fixed potential NPEs in DataSource cleanup and StringList constructors
- Fixed QName extraction of REST Request Representations
- Fixed Null Pointer Exception in HTTP and REST request editor when Browser Component is disabled
- Fixed truncating of property values when writing to Excel DataSink if they are over 32k and also added corresponding warning to SoapUI log
- Fixed crash on extremely large tooltips; internal limit now set to 500 characters for tooltips in the outline editor showing node values
- Fixed width of XPath Assertion configuration dialog to show the "Select Content" options
- Fixed WADL importing of child resources with same path; these are now merged into a single resource
- Fixed layouting of DataSink and DataSource config panels and fixed GroovyD DataSource/DataSink editors and Get Data popups
- Fixed handling of WADL parameters with non XSD types in the SoapUI Pro Form Editor
- Fixed double encoding of Template URL parameters
- Fixed forward-slashes in WAR file create by DeployAsWar and removed unnecessary jars
- Fixed Raw view for JDBC Requests to show expanded variables
- Fixed incorrect TestSuite Jasper Report Template 
- Fixed duplicate saving of standard projects in pro version

###Updated Libraries:
- JXBrowser 2.8
- Groovy 1.8.0
- Bundled JRE 1.6.0_25

-------------------------------------------------------------------------------

2010-10-18 : 3.6.1

Major New Features: 
- None!

Minor New Features: 
- Improved SoapUI <-> loadUI integration (loadUI)
  - automatic detection of paths 
  - improved component generation 
- Multiple Parameter value support for REST requests (REST) 

Bugs Fixed: 
- Improved Web Recording with Forms (Web) 
- Fixed HTTP Header overrides (SoapUI)
- Command-line runners don't execute all tests on misspelling (Automation) 
- Multiple spelling and usability issues (SoapUI)
- File DataSink IOException (Functional Testing) 
- Project Script Library now works on project load (Scripting) 

Updated Libraries: 
- Groovy 1.7.5

-------------------------------------------------------------------------------

2010-09-14 : 3.6

Major New Features:
- loadUI Integration
- Web Testing and Recording
- Manual TestStep

Minor New Features:
- Improved WADL importer 
- Improved viewing of attachments  
- Improved support for huge file attachments (>200mb) 
- Fixed many memory leaks for long-running tests 
- Added support for project-level script libraries 
- Added setting to enable wordwrap in Raw message views 
- Increased default memory setting in .sh files  
- Added action to clear the current Workspace 
- Added option to show namespaces in refactoring wizard  
- Improved web-recording functionality:
  - wizards for generating web tests when creating new projects
  - possibility to exclude HTTP Headers
  - support for multiple recording sessions
Improved loadUI project generation from functional TestCases 

Major bugs fixed:
- Fixed adding of HTTP Query Parameters 
- Fixed JDBC Assertions to handle connection errors 
- Several fixes to JDBC-connection related functionality 
- Fixed showing of passwords in UI  
- Several UI cleanups and minor bug-fixes  
- Fixed preview of -f argument in runner dialogs 
- Fixed usage of correct soap version when refactoring  
- Fixed parameter resolving in script properties 
- Fixed saving of reordered TestCases 
- Fixed SSL Support for SoapUI TestCases in loadUI
- Fixed bundling of external resources in generated War files 
- Fixed all code-generation to work from command-line tools 

Updated Libraries:
- Groovy 1.7.4
- JxBrowser 2.4

-------------------------------------------------------------------------------

2010-04-09 : 3.5.1

SoapUI 3.5.1 is mainly a bug-fix release with dozens of minor improvements and
fixes:
- Added support for JMS Message Selector to filter messages with arbitrary queries
- Added support for sending and receiving BytesMessages for SOAP requests
- Added option to propagate SOAPAction as JMS Property
- Added support for WS-Addressing and WS-Security for outgoing JMS messages
- Received MapMessages are converted to XML
- Added initial support for importing SOAP/JMS and TIBCO/JMS bindings
- Added ResponseAsXml property for accessing XML results for JDBC and AMF TestSteps
- Many many memory fixes
- Added a "Discard" Response property to all requests that allow for improved memory mgmt
- Improved multi-threaded dispatching in SOAP Monitor
- Fixed cloning of property-transfers to include all settings
- Fixed property-transfer logic when source is empty
- Added UI Setting to disable tooltips
- Added property-expansion support in SLA Assertion
- Fixed Conditional Goto to work with all Sampler TestSteps
- Fixed keeping of whitespaces in XML generated from JDBC results
- Added SOAP Request assertion for MockResponse TestSteps
- Fixed closing of opened files in MockEngine
- Fixed Find-and-Replace 
- Added multi-actions for enabling and disabling TestSteps, TestCases and TestSuites
- Fixed forward slashed in .sh launchers
- Improved moving of TestSteps
- Improved generation of XPath statements to always include namespaces
- Fixed JDBC Connection errors with missing password
- Fixed incorrect JDBC Connection string templates
- Added missing actions in menus
- Improved error-logging from event-handlers
- Added TestSuiteRequirements Reporting DataSource
- Fixed DataSources to detect changes in configuration and re-initialize if neccessary
- Spelling mistakes...
- Updated Groovy to 1.7.2 (Library)
- and more minor fixes.. 

Thanks to all our customers and users for once again helping us make SoapUI and SoapUI Pro even better!

-------------------------------------------------------------------------------

2010-03-01 : 3.5 - the Protocol Release

SoapUI 3.5 adds support for JMS, JDBC and AMF for both functional and load-testing

Major New Features

JDBC Testing (Protocol)
- A JDBC TestStep has been added for functional database testing, all standard xml 
and xpath related functionality applies to query results (assertions, transfers, etc).

JMS Testing (Protocol)
- A JMS protocol has been added for sending and receiving both text (SOAP,etc) and 
binary messages via JMS. Provider configuration and extended JMS monitoring and 
debugging functionality is provided via the HermesJMS integration.

AMF Testing (Protocol)
- An AMF TestStep has been added for functional and load testing of Flex server 
applications, all standard xml and xpath related functionality applies to response 
messages (assertions, transfers, etc).

- Query Builder (Data Driven testing)
Component for visually building Database queries used in the JDBC Teststep and 
JDBC related DataSources and DataSinks. 

- Deploy as War (Mocking)
SoapUI Projects can now be packaged as WAR files to be deployed on any standard
servlet container, which will host the contained MockServices and display a simple
Web interface for statistics, log output, etc.

Minor new features 
-   Greatly improved performance of Excel DataSource/DataSinks (Functional Testing)
-   Greatly improved performance of script library (General)
-   added global option to disable proxy (General)
-   improved automatic adding of template parameters to rest resources (REST)
-   added raw-message-size settings (General)
-   improved update-interface stability (General)
-   improved thread-stability related to endpoints during loadtests (LoadTesting)
-   improved statistics calculation during loadtests (LoadTesting)
-   Pressing return in httprequest endpoint field submits request (User Interface) 
-   Added timeout property at request level (General)
-   RunTestCase TestStep improvements: (Functional Testing)
o   Copy LoadTest Properties
o   Copy HTTPSession
o   Ignore Empty
-   Added caching of WSDL Credentials (SOAP)
-   Improved performance of script-property-expansions (General)
-   Added -A option to TestCase runner;  for exporting of all results using folders
    instead of long filenames (Test Automation)
-   memory improvements (General)
-   improved XML generation from HTML (REST)
-   allowed rename of rest services from properties panel (REST)
-   Renamed porttype property to "Name" in interface properties (WSDL)
-   Improved Mock-related APIs to allow rewriting of incoming requests (Mocking)
-   Forced redirect functionality for PUT and POST requests (REST)
-   Improved TestRun Log output at TestSuite and Project levels (Functional Testing)
-   Added "RemoveEmptyXsiNil" and "RemoveEmptyRecursive" config properties for removal of empty content (WSDL)
-   Fixed handling of long property/testcase popup/drop-down menus (User Interface)
-   Added getter and setter for ExcelDataSource.ignoreEmpty property (API)
-   changed forum-search to use forums and not google (User Interface)
-   set minimum toolbar size for better resizing of splitpanels (User Interface)
-   added check that files in schema directory are actually schemas (General)

Major bugs fixed: 

-   fixed save-all to keep track of project count (User Interface)
-   fixed adding of method parameters from rest request, method and resource views (REST)
-   fixed setting of media-type for Form-submits  (REST)
-   removed automatic XML-formatting of rest request bodies (REST)
-   fixed thread-override and multiple formats in launch-loadtest-runner dialog (LoadTesting)
-   fixed resetting of threadcount  from canceled burst strategy (LoadTesting)
-   Fixed endpoint updating in service endpoints table (REST,WSDL)
-   Fixed saving of loadtest limit type (LoadTesting)
-   Fixed escaping of property-expansions with double $ (Properties/Scripting) (General)
-   Fixed TestSuite count in simple TestCaseRunner output (Test Automation)
-   Fixed filename creation for Composite projects (General)
-   Fixed script-strategy to use project scripting language (Load Testing)
-   Moved demo script files to correct folders (General)
-   Ordered output of LoadTestStatistics export (LoadTesting)
-   Fixed CSV Data Export with subreports (Reporting)
-   MockService synchronization issues during high load (Mocking)
-   Fixed SOAP-Action in Content-Type for WS-A and MTOM requests (SOAP)
-   FixedRateLoadStrategy now ignores the Thread Startup Delay option (Load Testing)
-   fixed setting of nilable on missing elements in form editor (SOAP)
-   removed unneccessary formatting of REST xml responses (REST)

Updated libraries: 

-   Groovy 1.7
-   Not-yet-commons-ssl-0.11
-   Jexcel-api-2.6.12
-   Jasper 3.6.2
-   Saxon 9.1.0.8
-   Jetty 6.1.22

As always we owe our users and the community so much for all their help and support! Thank you all!

Beta2 fixes:
-   JXBrowser 1.4 update
-   Groovy 1.7.0 update
-   JDK 1.6_18 update
-   Hermes 1.14 update (http://hermesjms.com/confluence/display/HJMS/Release+Notes)
-   Support for named parameters in SQL queries and Stored Procedure calls
-   Support for JMS Session authentication
-   Improved JMS endpoint naming scheme 
-   Added durableSubscriber and ClientID to JMS Request Inspector
-   Added fetchSize property to JDBC TestStep
-   Fixed inlining of attachments if inline files is enabled
-   Improved Delay TestStep execution timing
-   Fixed automatic GC to run for command-line tools also
-   Fixed elapsed time to show correct value in LoadTest output
-   Fixed synchronization of Table Inspector and XML Editor Views
-   Added JDBC Assertions
-   Added build-checksum to nightly builds
-   Improved session-handling for AMF Requests
-   Added soapui.scripting.library system property to override script library path from commandline
-   Added possibility to override Jetty Connector properties via soapui.mock.connector.XX system properties
-   Fixed bugs related to REST parameter reordering and inheritance

Final Release fixes:
-   Fixed times precision in Junit reports to be up to 3 decimals
-   Updated IDW dependency to 1.6.1
-   Updated Groovy to 1.7.1
-   Update JasperReports to 3.7.1
-   Fixed TestStepResults for WSS processed requests to contain the unprocessed request in the requestContent property
-   Addes ResponseAsXml properties to JDBC and AMF TestSteps
-   Fixed TIBCO EMS support
-   Removed a bunch of memory-leaks
-   Fixed LoadTest Reports for LoadTests with long names
-   Introduced soapui.mtom.strict system property for enabling strict MTOM processing
-   Fixed command-line TestCase runners to not ignore Fail on Abort setting
-   Fixed restore of ignoreNamespacePrefixes in XPath assertions
-   Fixed success indicator of MockResponse TestSteps
-   Added uninstall of Hermes to Uninstaller
-   Fixed endpoint in SOAP Monitor tunnel mode
-   Improved command-line scripts on linux / mac
-   Added page in mac/linux installers to disable JXBrowser component
-   Fixed Script Assertion editor to update on OK and added Cancel button
-   Added JMS Message Selector field to JMS properties Inspector

-------------------------------------------------------------------------------

2009-08-09 : 3.0.1 release

bug-fixes galore! and a bunch of improvements :-)

- Updated installers for Mac, Linux and 64-bit Windows (without JRE)
- Updated components/libraries: JXBrowser 1.3 + hotfixes, Groovy 1.6.4, WSS4j 1.5.8, XML-Sec 1.4.3, 
  Bouncycastle 1.43, JTidy r820
- Fixed Java 1.5 compatibility
- Updated Launch-dialogs to support all current command-line options
- Null-pointer fixes in WS-Security handling
- Fixed sorting of properties
- Fixes related to names containing leading/trailing spaces
- WSDL-loading-related fixes (redirects and schema overrides)
- REST-related fixes and improvements
- New: Possibility to insert file as base64 encoded string (Thank you Cory!)
- New: Groovy scripts are now run in seperate thread when running in TestStep editor (Thank you Piotr!)
- New: MockServices now don't require SOAP Action by default (Thank you azl!)
- New and experimental: Deploy as WAR (from Project menu), packages the project as a WAR file for running 
  MockServices inside an existing servlet container.
- and many more fixes..

Who can we thank more than our customers and users? no-one! Thank you all!

/eviware-soapui-team

-------------------------------------------------------------------------------

2009-07-06 : 3.0 final release

Please check out http://www.soapui.org/new_and_noteworthy_3_0.html for all the details on this release!

/eviware-soapui-team

-------------------------------------------------------------------------------

2008-11-18 : 2.5 Final

A bunch of bug-fixes and minor improvements, thanks to our awesome customers and
community for testing and reporting... we owe you another great release!

/eviware-soapui-team

-------------------------------------------------------------------------------

2008-11-05 : 2.5 beta2 release

A bunch of improvements and fixes:
- Much Improved WS-Addressing support
- SOAP-Monitor now support HTTP Tunnel now with SSL support (replaces TCP-Tunnel in 2.0.2)
- REST improvements
  - Improved REST Representation handling
  - Option to not URL-Encode parameter values
- Mock-related improvements
  - MockResponseStep -> open sourced from SoapUI Pro, load-test/sync improvements
  - MockOperation Query Dispatch
  - MockService wire log
  - Improved MockService dispatching; support for handling responses and faults
- New Request options:
  - Entitize option for Requests
  - Option to follow redirects
  - MTOM improvements (not require binary datatype)
- Property-Transfer Improvements (entitize, transfer child-nodes)
- Improved Resolve Dialog / Logic
- Command-line improvements
  - Fixed command-line runners to run from other directories
  - Added -G and -P command-line switches to command-line runners
- Scripting-related:
  - Updated to groovy 1.5.7
  - Much Improved Groovy Editor
- And a slew of bug-fixes minor improvements thanks to all our great customers and community!

Thanks to all of you!

-------------------------------------------------------------------------------

2008-09-26 : 2.5-beta1 release!

Finally a new version!
- REST/HTTP Support
  - WADL import / export / generation
  - JSON/HTML to XML conversion for assertions, transfers, etc..
  - REST / HTTP Request TestStep
  - Generate both code and documentation for WADLs
- WS-Addressing support
  - Request, MockResponse, Assertion
- MockService improvements
  - onRequest / afterRequest scripts
  - improved WSDL exposure with ?WSDL endpoint
  - docroot for serving static content
  - HEAD request support
- Encrypted Project Files and hidden password fields
- LoadTest before/afterRun scripts
- Import/Export TestCases/TestSuites for sharing
- Relative paths to project resources
- Improved SOAP Monitor now supports keep-alive and chunked encoding
- Dump-File for response message automatically saves responses to a local file
- Unique keystores on request-level
- Improved XPath Contains Assertion with option to ignore namespace prefixes
- Improved compression algorithm support
- Extended HTTP-related settings
- ..

Backup your existing projects before testing and please don't hesitate to contact
us if you have any issues, suggestions, complaints, etc!

-------------------------------------------------------------------------------

2008-01-28 : 2.0.2 bug-fix release

Some more bugfixes and improvements:
- Fixed -n option for commandline LoadTestRunner (was incorrectly -h)
- Fixed internal initialization of copied/cloned testcases/teststeps and during loadtesting
- Improved Aut/Header inspectors to be visible for form/overview views
- Fixed quoting of SOAP 1.2 Action in content-type header
- Improved opening of local files in external browser (reports, etc)
- Fixed initialization of custom RequestFilters 
- Fixed script-evaluation in MockResponses to allow modification of the responseContent
- Fixed logging/display of failed MockRequests
- Fixed caching of external WSDLs in SchemaComplianceAssertion if another URL was used
- Fixed attribute handling with wildcards
- Fixed NPE on empty response messages
- Fixed a number of typos
- Updated to trunk version of XMLBeans which fixes corruption of project-files on save
- Updated to full version of xercesImpl 2.9.1 for full JAXP functionality
- etc..

As always thanks to you all reporting for making SoapUI better and better!

-------------------------------------------------------------------------------

2008-01-15 : 2.0.1 bug-fix release

A large number of important bug-fixes and a small number of improvements:
- Updated Groovy to 1.5.1
- Fixed Keystore-initialization to use specified provider
- Fixed NPE when initializing properties
- Fixed corruption of PropertyTransfer, ConditionalGoto and RunTestCase teststeps
- Fixed invalid Regular Expression in XSDs to get discarded and show a warning
- Fixed parallell execution of TestCases in TestSuites
- Fixed encoding-problems when compiling Groovy Scripts
- Added support for %20 as space-delimiter in command-line arguments (for unix/linux)
- Fixed check to recreate messages when updating interface
- Fixed global properties as PropertyTransfer targets
- Fixed NPE:s in related to TestCase and MockService logs
- Fixed DnD of requests to TestCases
- Memory fixes
- etc..

SoapUI Pro
- Fixed generation of indexed XPath expressions
- Fixed refactoring issues with namespaces and multiple updates
- Improved WSDL Coverage:
  - Added possibility to exclude elements from coverage calculation
  - Fixed handling of empty elements
  - Moved settings to be at project-level
- Added option to skip to closing DataSource Loop when no data is available in a DataSource 
  TestStep  
- Improved import/export of requirements to include testcases and links
- etc..

-------------------------------------------------------------------------------

2007-12-12 : 2.0 final release!

A bunch of minor improvements and a large number of bug-fixes made it into the final 
release - thanks to all who have reported, tested and helped us out!

-------------------------------------------------------------------------------

2007-12-02 : 2.0 beta2 release!

Overhauled WS-Security support and many minor improvements;
- WS-Security support has been greatly enhanced and is now managed at Project-level for 
  application to Requests, MockServices/Responses and SOAP Monitors
- Raw message viewer for viewing actual data sent/received
- Aut Request inspector for editing authentication-related settings
- Interface Viewer has been extended with new Overview, Endpoints and WS-I Compliance tabs
- LoadTests can now continuously export statistics for post-processing
- Improved Message-Inspector for logged messages
- TestRun Log has been visually improved

-------------------------------------------------------------------------------

2007-11-14 : 2.0 beta1 Release!

This is the first beta of SoapUI 2.0, boasting a large number of new features. Please backup
your existing project-files before testing and report any issues at the sourceforge forums.

* Improved WS-Security support;
- messages can now be signed
- messages can be encrypted
- support for SAML Assertion insertion
- will be further improved for final release
* Built in SOAP Monitor for capturing live traffic
- tunnel / proxy modes
- create request, testcases and mockservices from recorded traffic
* Setup/Teardown scripts can now be specified for both TestCases and TestSuites
* Run TestCase teststep allows parameterized running of testcases from with a testcase 
  with return properties
* Enabled/Disable Assertions / TestCases / TestSuites
* MockService improvements:
- SSL support
- Mocked wsdls are now exposed via a (very) simple web-interface
- Start/Stop scripts
* New Project Overview 
- Project metrics
- Load/Save scripts
* TestSuite Editor run log
* Much improved property-handling; 
- properties can now be specified at testcase, testsuite, project and global level
- property-expansions and property-transfers have been extended accordingly
- drag-and-drop for creating property-expansions
- properties can be shown in navigator tree
- property-refactoring; renaming properties updates associated property expansions
* TestCase Log improvements:
- limit output and logged results to preserve memory under long-running tests
- generate MockServices from TestCase execution
* And many more minor improvements..
- "Start Minimized" action for MockSerivces
- UI improvements
- Auto-save open-sourced

-------------------------------------------------------------------------------

2007-09-26 : 1.7.6 Release!

The intermediary 1.7.6 release focuses on general functionality and many UI improvements

Improvements:
* Default authentication settings on endpoint level
* XQuery support in assertions and property-transfers
* Dialogs for launching command-line runners
* Apache CXF wsdl2java integration
* Regular expression support in Contains/NotContains assertions
* Improved editors with line-numbers, find-and-replace, etc..
* Greatly improved project/workspace management including support for open/closed projects
* Support for remote projects over http(s)
* Improved/laxed up MTOM functionality
* Global/System-property access in property-expansions
* Very preliminary and inital extension API
* And a large number of UI improvements and minor adjustements

Bug-Fixes:
* Much-improved support for one-way operations
* Property Expansion is now supported in Conditional Goto Steps XPath
* Fixed save of empty properties in Properties Step
* Fixed URL decoding of WSDL port locations
* Fixed correct setting of SOAPAction / Content-Type headers for SOAP 1.2
* Mockservice fault with http response code 500
* Generate TestSuite does not use existing Requests
* OutOfMemory error when creating backup requests

As always we are grateful to our enthusiastic users! You Rock!

-------------------------------------------------------------------------------

2007-08-06 : 1.7.5 Final!

The final release of SoapUI 1.7.5 adds a small number of features and fixes a number
of bugs:

Improvements:
* Action to change the operation of a TestRequest.
* Improved MockService log with own toolbar and options to set size and clear.
* Possibility to set the local address both globally and on a request level.
* Option to pretty-print project files for easier SCM integration.
* Added requestContext variable to MockOperation-dispatch scripts allowing for thread-safe passing of
  values from dispatch script to response script
* Added option to enable interactive utilities when running from command-line.

Bug-Fixes:
* Fixed UpdateInterface to not set all TestRequests to same operation
* Fixed cloning of Assertions to be persistant
* Fixed Memory-Leaks in MockService Log
* Fixed Display of correct Response Message Size
* Fixed Dependencies for Eclipse Plugin
* Fixed PropertyExpansion to support xpath expansion also for Context Properties
* Fixed Form Editor to not pretty-print message and correctly hande nillable values (SoapUI Pro)
* Fixed initializing of external libraries to be before intializing of Groovy Script Library when running any of the command-line runners (SoapUI Pro)
* Fixed XPath creation when nodes exist with same name at different positions in hierarchy
* etc..

-------------------------------------------------------------------------------

2007-07-11 : 1.7.5 beta2

SoapUI 1.7.5 beta2 contains a small number of improvements and a bunch of bugfixes:

Improvements:
* Rudimentary support for wildcard element/attribute values in the matching 
  XML of XPath Contains assertions, which eases comparisons of large XML blocks.
* A dedicated Error Log which makes it easier to understand errors and report them back to us :-)
* Action to import global preferences from an existing SoapUI installation.
* An "Add Endpoint to Interface" action for easily adding MockService endpoints 
  to their mocked Interfaces. Changing the MockService endpoint will automatically update 
  the associated Interface Endpoint as well.
* Request/MockResponse option option to dynamically remove empty content from outgoing requests, 
  which can be usefull when performing data-driven tests where not all data is available in each iteration.
* Request/MockResponse option for automatically encoding attachments as specified by their associated 
  WSDL Part (base64 or hexBinary)
* Fixed WSDL import to allow redefinition of global types/element (can be turned off in WSDL Settings). 
  Thanks to Lars Borup Jensen!
* Some more dependency updates:
  o log4j to 1.2.14
  o xmlunit to 1.1
  o commons-ssl-0.3.4 to not-yet-commons-ssl-0.3.8
* etc
  
Bug-Fixes:
* Fixed move TestCase up/down with keyboard
* Fixed validation mocking of RPC operation requests with attachments
* Fixed Termination of CommandLine TestRunners
* Fixed null column values in JDBC DataSource results to be replaced with empty string
* Fixed spawning of HTML Reports to use default system browser on Windows
* Fixed stripping of whitespaces to also remove comments
* Fixed attachments tab title update for mock responses
* Fixed skipping of projects with running tests when auto-saving
* Fixed form-editor to insert xsi:nil="true" on empty nillable fields
* etc..

As always, a huge Thank You to our community, and please don't hesitate to report any issues, etc...  

-------------------------------------------------------------------------------

2007-07-02 : 1.7.5 beta1

SoapUI 1.7.5 is another intermediate version which addresses a large number of
community feature requests and stability issues.

Major improvements in SoapUI 1.7.5 are

* Extensive support for cloning/moving TestSteps/TestCases/TestSuites withing/between projects
* Workspace management
* Enhanced generation of TestSuites
* Enhanced generation of MockServices
* A new Response SLA Assertion (Contribution by Cory Lewis!)
* Possibility to reorder TestCases within a TestSuite
* Possibiliy to Disable/Enable TestSteps
* Improved "Update Definition" functionality
* And many more... see http://www.soapui.org/new_and_noteworthy_175.html for a more complete list

Also a large number of bugs have been fixed, including
* MimeBinding not read correctly
* Bad mock operation for operation within mimeBinding
* Error referencing included schema types in the default ns
* WsdlMockResult.setRe_ponseContent
* HTTP headers do not get copied to TestCase
* Loadtest thread count has UI limit of 100 threads, 
* SoapUI uses startinfo XOP header rather than start-info
* Junit Report times incorrect
* and many more...

As always we owe great thanks to our users for testing and giving us feedback on 
bug-fixes and improvements... 

-------------------------------------------------------------------------------

2007-05-04 : 1.7.1 release

This is a bug-fix release which fixes some urgent issues in the 1.7 release

* More performance and memory improvements during load testing
* Fixed attachment-support in MockRequest dispatching, see Bug Report
* Fixed setting of lastSavedDate when WSDL caching is disabled
* Improved focusing when opening/switching desktop windows
* Fixed Check-Box label and creation of TestRequests with default Not SOAP Fault assertion, see Bug Report
* Fixed correct count and termination of LoadTestRunners, see Bug Report
* Fixed TPS/BPS calculation with branched testcases, see Bug Report
* Updated to commons-logging 1.1
* And many more internal fixes..

As always we owe great thanks to our users for testing and giving us feedback on 
bug-fixes and improvements... 

-------------------------------------------------------------------------------

2007-04-10 : 1.7 final release

Many more major and minor issues have been fixed with the last snapshot releases, see the
snapshot release page for details. Since the last snapshot, the following have been fixed/added;

* Performance and memory improvements during load testing
* Fixes in dispatching of mocked RPC operations
* Improved importing of services/bindings in imported wsdl's
* Fixed property-expansion in MockResponse HTTP Headers
* Fixed NPE when running on Linux
* Added possibility to add own endpoing when launching TcpMon
* Renamed SOAP Fault / Not SOAP Fault assertions to their correct opposite names
* And many more minor improvements

As always we owe great thanks to our users for testing and giving us feedback on 
bug-fixes and improvements...

-------------------------------------------------------------------------------

2007-03-14 : 1.7 beta2 release

The beta2 release adds the following features above those accumulated fixes in the recent
snapshot releases (http://www.soapui.org/snapshot.html)

* Initial Support for importing SOAP 1.2 bindings
* Improved MockOperation editor and possibility to dispatch to a MockResponse with a Groovy Script
* Possibility to set default Look and Feel
* Possbility to turn off multipart attachments
* Check for external modification of project files before saving
* Option to assign new endpoint to existing requests when updating a WSDL
* Fixed right-button menus on Mac
* Fixed teststep naming when inserting new Request Steps
* Increased maximum number of threads to 9999
* Fixed wstools commandline runner error and updated to wsconsume in alignment with final JBossWS 1.2.0 release
* Fixed closing/release of exported attachments
* Fixed support for quoted charset values both for requests and mockresponses
* ... and more internal refactorings and minor improvements

As always our huge thanks goes out to all our users who have helped us identify and fix 
many of the above issues. Keep your reports coming!

-------------------------------------------------------------------------------

2007-02-09 : 1.7 beta1 release

We are happy to release this intermediate version with several key improvements to SoapUI functionality.
        
* Support for Mocking of WebServices from within SoapUI. Mock Services can be run either from inside SoapUI
or with one of the IDE/Maven/CommandLine plugins.This opens for a number of usage scenarios, including:
- Rapid Prototyping of WebServices; generate a complete static mock implementation from a WSDL in seconds 
and add dynamic functionality using Groovy.
- Client testing/development; create mock implementations of desired operations set up a number of 
sample responses (including attachments and custom http-headers) so clients can be developed/tested without 
access to the "live" services. Responses can be cycled, randomized or selected with XPath expression from 
incoming request
- Test-Driven Development; Create SoapUI TestSuites/TestCases against MockServices before/during the actual
services have been/are being implemented
* New/Improved Tool Integrations for JBossWS "wsimport" and Oracle wsa
* Improved WSDL-inspector shows tree/outline view over complete contract with "drill-down" functionality
* SSL-inspection shows peer certifacte information for responses received using https
* Generate TestSuite action to generate a complete TestSuite for all operation in an interface
* Improved property-expansion allows XPath expression directly in property-expansion syntax
* New Not-SOAP-Fault assertion
* Possibility to expand received MTOM attachments for schema compliance
* Possibility to override attachment Content-IDs
* Possibility to add default schemas for validation
* Possibility to run WS-I validations using commandline tools
* Possibility to set log-tabs history
* Many more minor improvements and bug-fixes

As always, please make backups of your project files before testing and let us know if you have any issues!

-------------------------------------------------------------------------------

2006-11-12 : 1.6 final release

We are extremely happy to finally release SoapUI 1.6 final which introduces a large number of
fixes and many minor improvements since the beta2 release, including;

* Added exclusion list to proxy settings (comma-seperated)
* Added 2 context properties available when load-testing:
- ThreadIndex : the index of the created thread... this value will never change for a given TestCase during its run time.. 
New threads will simply get an incremented index... the mod of this value could for example be used as an index into a data-file 
(to handle changes in number of threads) 
- RunCount: tells how many times the TestCase has been run by its thread (not in total) during the current LoadTest 
* Added initial support for unzipping gzipped response messages, ie messages with a Content-Type or Content-Encoding ending with "gzip". 
Thanks to Diego Banda.
* Added request-level property to inline attachment content in response editor (as in SoapUI 1.5)
* Improved saving of projects to not corrupt files on out-of-memory (saving now first saves to an in-memory buffer
which is written to file if no errors occur..)
* Fixed validation of derived types in xml-editors
* Fixed automatic adding of TestStep Status assertion to newly created loadtests,
* Added option to ignore case in Contains/NotContains assertions
* Improved support for automatic validation by adding an option to not send invalid requests 
* Added support for automatic validation of request/response messages in editors  
thanks to Michael Vorburger! ("Preferences / UI Settings / Validate Request / Response")
* Added support for generating rpc-parts for attachments ("Preferences / WSDL Settings / Attachment Parts")
* Added [Tools] button to all Tools dialogs which opens "Preferences / Integrated Tools" for setting tool paths
* General dialog improvements; Escape closes and F1 shows online help if available
* Fixed validation of SOAP mustUnderstand/encodingStyle attributes in entire messages
* Added possibility to edit response message and revalidate with Alt-V (including assertions)
* Added possibility for custom background image in desktop. Just place a soapui-background.gif/jpg/png in the 
SoapUI bin directory (at last :-), Thanks to Roger Sundberg
* Added option to open TestCase editor when adding requests to a TestCase
* Updated to commons-ssl-0.3.0.jar
* Fixed caching of attachments to now be saved in the soapui-project file (compressed)... this makes
portability of soapui-projects with attachments much simpler... The attachment-folder setting has been
removed.
* Fixed property-expansion when running xpath-assertions and property-transfers from within their
editors.
* Fixes password-input fields to be masked

-------------------------------------------------------------------------------

2006-09-12 : 1.6 beta 2 release

Welcome to SoapUI 1.6 beta2 which introduces a large number of fixes and many minor
improvements, including;

* Syntax highlighting in groovy editor
* Improved memory management under long running tests
* Support for external log4j configuration
* Greatly improved Groovy script performance and memory usage
* Undo/Redo in most editors
* Extended Property-Expansion to allow specification of step and property
* New tabbed layout mode for request/response editors
* UI "modernization"

-------------------------------------------------------------------------------

2006-07-14 : 1.6 beta 1 release

Welcome to SoapUI 1.6! We are happy to finally release this version with several key
improvements to SoapUI functionality... please help us test and verify that old projects
dont stop working and that the new features work as expected...
 
Major Improvements

* Support for Attachments (MTOM / SwA / Inlining)
* 12 Tool integrations for;
      o Code Generation; JBossWS (wstools), JAX-RPC (wscompile), JAX-WS (wsimport), 
        XFire 1.1.X (WsGen), Axis 1.X (wsdl2java), Axis 2 (wsdl2code), JAXB 2.0 (xjc), 
        XmlBeans 2.X (scomp), GSoap 2.7.X and .NET 2.0, including a ToolRunner for 
        running code-generation tools from the command line
      o WSDL-Generation; JBossWS (wstools)
      o WS-I Basic Profile Validations
      o Apache TcpMon
* WSDL Caching and exporting
* JUnit Reports for functional tests from commandline

Minor Improvements

* Support for importing secured wsdls
* Initial support for Property-Expansion in test requests and xpath expressions
* Automatic/Manual generation of WS-Security headers for Authentication
* SOAP 1.2 support for request generation / HTTP headers / validation
* Improved request generation
* Options to sort items in navigator
* Integrated help
* Default assertions when creating request steps
* Support for unverified SSL certificates
* Response-size threshold
* Support for preencoded urls (see Forum discussion)
* Updated xmlbeans/saxon for improved XPath 2.0 support
* More keyboard shortcuts

Bugfixes

* Readonly Project files
* Threads in loadtests shared underlying data
* Circular imports/includes
* Tools run in headless environment

-------------------------------------------------------------------------------

2006-04-06 : 1.5 final release

we are happy to announce the final release of SoapUI 1.5. It includes

* a fair number of bug fixes
* improvements to the website (jmeter comparison, more scenarios, etc..)
* a windows installer including the required JRE for those that dont have java installed 
  and/or want start-menu icons and an uninstaller.

The release is as always available at http://sourceforge.net/projects/soapui/?abmode=1

-------------------------------------------------------------------------------

2006-03-13 : 1.5 beta2 release

This is the second beta for SoapUI 1.5, it introduces no new major functionality but:

* fixes a large number of internal issues and adds some improvements in the area of LoadTest timings, etc.
* includes most of the updated documentation both on the site and in the distributions
* includes the first 1.5 beta of the maven-plugin

As always huge thanks for all feedback and encouragement! Keep it coming :-)

-------------------------------------------------------------------------------

2006-02-27 : 1.5 beta1 release

This is the first beta for SoapUI 1.5, read all about it on the soapui.org website.

-------------------------------------------------------------------------------

1.0.3 release 2005 11 24

This release fixes the following issues:

* Fixed inclusion of relative xsds in sub wsdls, see bug 1362652
* Fixed lockup on failed authentication, see bug 1362888
* Fixed handling of overloaded operations, see bug 1362929
* Fixed handling of wsdls containing muliple inline schemas in the types element

And adds a small number of improvements:

* Added "Show Editor" menu options to relevant popup menus in navigator
* Added possibility to move test-steps in the testcase editor with Ctrl-Up/Down
* Added possibility to open test-step editors by selecting their step in the 
  TestCase editor and pressing Enter
* Added a "Clone TestCase" option to the TestCase popup menu allowing cloning of an 
  entire testCase including all its test steps.  
* Related site/doc updates

Thanks to all that have helped in reporting/suggesting/confirming the above issues!

-------------------------------------------------------------------------------

1.0.2 release 2005 11 20

This release fixes the following issues:

* Fixed inclusion of schemas when adding WSDL from the file system; see bug 1350372
* Fixed scrollbar-behaviour in xml-editors for long-lines
* Fixed pick-up of proxy-settings from standard system properties; see feature request 1346544
* Fixed source-distribution so that it compiles... (duh!)
  - see the site documentation on how to compile

And adds a fair number of improvements:

* Added 2 new Test steps (see the user guide for details):
  - a "Delay" step allowing a pause of xx milliseconds
  - a "Conditional Goto" step allowing xpath-based conditions to trigger jumping to any other
    test step opening for conditional test steps, monitoring, restarts, etc.
* Improvements to ValueTransfers;
  - Possibility to select values from the previous steps request message (instead of response) or one of its
    endpoint, domain, username or password properties.
  - Possibility to assign the source value to one of the following steps endpoint, domain, username or password properties.
* Improved logging in TestCase desktop panel to show info on performed value transfers and goto conditions
* Improved WSDL importing to handle WSDLs with invalid XSDs. A warning will be shown and request-generation/
  schema-validation will not work.
* Upgraded to xmlbeans 2.1.0  
* Improved keyboard navigation in navigator so selected items can be opened by pressing enter
* Improved endpoint combobox in request editors to include an option for adding a new endpoint
* Added a number of unit tests for wsdl importing and valuetransfer test steps
* Numerous minor adjustements/improvements (icons, messages, etc.)
* Added documentation on how to integrate SoapUI in other projects
* Related site/doc updates

Thanks to all that have helped in reporting/suggesting/confirming the above issues!

-------------------------------------------------------------------------------

1.0.1 release 2005 10 30

Maintainance release:

* Fixed naming of value transfers; see bug 1342557 
* Fixed captalization of Content-type; see bug 1328568 
* Fixed closing of dependant panels when removing model objects; see bug 1342555
* Minor improvements to documentation (added PDF)

Thanks to all reports / comments! Focus is now on the first 1.1 beta containing load-test functionality, 
scheduled for mid-november.

-------------------------------------------------------------------------------

1.0 release - 2005 10 17

1.0 final contains the following fixes and improvements;

* Fixed setting of empty SOAP Action header; see bug 1314885
* Fixed schema validation of SOAP Faults
* Fixed ValueTransfer editor related exception; see bug 1312942
* Updated to commons-httpclient-3.0rc4
* Minor refactorings and updates to the documentation

Thanks to all reports / comments so far! Focus is now on fixing any new bugs and on the next version..

-------------------------------------------------------------------------------

1.0b2 release - 2005 10 02

beta2 contains the following fixes/improvements;

* Improved "Update Definition" functionality; fixed bug 1296190 and added the possibility to choose a 
  new binding if the old one has been renamed
* Added the possibility to set username/password/domain for all requests in a testcase via a "Set Credentials" 
  button in the TestCase Panel
* Added username/password/domain properties to the maven plugin to allow overriding of these during CI test runs
* Improved and added documentation for the CommandLine TestRunner
* Added a SimpleNotContainsAssertions checking that a specified token is missing from the response
* Fixed bug 1305583 which reused authentication credentials
* Fixed bug 1304913 which did not terminate SoapUI correctly under webstart runtime
* Modified splitpane behaviour so that dragged splitpanes do not automatically resize themselves (see "bug" 1304920)
* Added a sample-project to the offline distribtion containing some tests, assertions, etc.
* Improved Service Endpoints management
* Fixed problems when importing WSDLs containing REST-style bindings
* Added a sample project containing 2 interfaces and a small number of tests for getting started.
* Related and additional updates to the documentation

Thanks to Jesper Brandt for suggesting/helping out with several of the above issues!

-------------------------------------------------------------------------------

1.0b1 release - 2005 09 14

This is the first public release and I'm sure there will problems related to
WSDL importing, XML Validation, etc. (SoapUI has been tested rather extensively
only with doc/literal services in a J2EE environment and running under WinXP). 

Please have patience and notify me any problems together with WSDL's, messages, 
project-files, etc. so these can be fixed as soon as possible. Thanks!

Get started by running one of the SoapUI scripts in the bin folder..

Good Luck and happy soaping!

Ole
ole.lensmar@smartbear.com
